%define  patch_name kernel-fix-fs

Name: %patch_name
Version: 2005.08.14
Release: alt1

Summary: %patch_name kernel patch - general fixes for filesystem drivers
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Conflicts: kernel-fix-security-owl < 2004.06.20-alt1

# 2.4 patches

%source  1	2.4_01_ext3_fs_priority.patch			2.4
%source  2	2.4_02_iocharset-ign.patch			2.4
%source  3	2.4_03_quota-license.patch			2.4
%source 15	2.4_15_alt-iso9660-options.patch		2.4
%source 16	2.4_16_alt-ramfs-blocks.patch			2.4
%source 40	2.4_40_quota_v1-module.patch			2.4
%source 41	2.4_41_proc-ndynamic.patch			2.4

# kernel 2.6 patches
%source 2600	2.6_00_unregister_chrdev_region-semaphore-fix.patch	2.6
%source 2601	2.6_01_bio_clone-fix.patch				2.6
%source 2602	2.6_02_zisofs.patch					2.6
%source 2650	2.6_50_ext3_fs_priority.patch				2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
General fixes for filesystem drivers

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Added:
  + 2.6_01_bio_clone-fix.patch: fix BIO cloning bug which could result
    in data corruption with some MD setups
  + 2.6_02_zisofs.patch: check input buffer size in zisofs

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Added:
  + 2.6_00_unregister_chrdev_region-semaphore-fix.patch: fix locking in
    __unregister_chrdev_region()

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_cramfs-stat-fix.patch
  - 2.6_01_jbd-race.patch
  - 2.6_02_ext3-fix-race.patch
  - 2.6_03_fix-log_do_checkpoint-assertion-failure.patch
  - 2.6_04_hfsplus-oops-hfs-leak-fix.patch

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.06.13-alt1
- Added patches for 2.6:
  + 2.6_03_fix-log_do_checkpoint-assertion-failure.patch: ext3: fix possible
    false assertion failure in log_do_checkpoint()
  + 2.6_04_hfsplus-oops-hfs-leak-fix.patch: fix hfsplus oops, hfs and hfsplus
    leak

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_02_ext3-fix-race.patch: fix race between ext3 make block reservation
    and reservation window discard

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_01_jbd-race.patch: fix race in jbd code which could give oopses

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_023-nfs_dentry_refcount.patch
  - 2.6_00_024-nfs_incorrect_df_output.patch
  - 2.6_00_026-nfs_o_direct_error.patch
  - 2.6_00_052-vfat_valid_longname_proper_return.patch
  - 2.6_00_054-ext3_journal_abort_before_panic.patch
  - 2.6_00_077-ext3_journal_abort_handle_silence.patch
  - 2.6_00_078-jbd_journal_revoke_graceful_double_delete.patch
  - 2.6_00_087-ext3_graceful_corruption_fixes.patch
  - 2.6_10_nls_ascii-fix.patch
- Added:
  + 2.6_00_cramfs-stat-fix.patch: fix stat for device nodes on cramfs

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_023-nfs_dentry_refcount.patch
  + 2.6_00_024-nfs_incorrect_df_output.patch
  + 2.6_00_026-nfs_o_direct_error.patch
  + 2.6_00_052-vfat_valid_longname_proper_return.patch
  + 2.6_00_054-ext3_journal_abort_before_panic.patch
  + 2.6_00_077-ext3_journal_abort_handle_silence.patch
  + 2.6_00_078-jbd_journal_revoke_graceful_double_delete.patch
  + 2.6_00_087-ext3_graceful_corruption_fixes.patch
- Added:
  + 2.6_10_nls_ascii-fix.patch: fix nls_ascii conversion table

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_17_proc-put_files_struct.patch
   - 2.4_18_dquot-sync-too-slow.patch
   - 2.4_19_ext2-mount-sb-fix.patch
   - 2.4_20_devpts-error-leak.patch
- Added:
  + 2.4_41_proc-ndynamic.patch: increase limit for dynamic /proc entries (4096
    is too easy to exceed, e.g. with vconfig (Bug #5296))

* Wed Jun 23 2004 Anton Farygin <rider@altlinux.ru> 2004.06.22-alt1
- removed included to mainstream (2.6.7) patches

* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt1
- Apply 2.4_17_proc-put_files_struct.patch only when kernel-fix-security-owl is
  not applied.

* Sun May 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.23-alt1
- Updated:
  + 2.4_03_quota-license.patch: add missing MODULE_LICENSE to quota_v1

* Fri May 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.21-alt1
- Added:
  + 2.6_55_reiserfs-i_size-race.patch: fix reiserfs inode size update race
    which could lead to file corruption

* Tue May 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.18-alt1
- Added:
  + 2.6_51_dquot_release-oops.patch: fix dquot_release oops with quota_v1
  + 2.6_52_quota-recursion.patch: fixes quota recursion into filesystem
  + 2.6_53_quota-recursion-fix.patch: fix the recursion fix
  + 2.6_54_quota-v2-corruption.diff: fix possible quota_v2 files corruption
    when root did not have any inodes&space allocated

* Mon May 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.17-alt1
- Added:
  + 2.4_40_quota_v1-module.patch: build old quota format support as module to
    match old quota patches and current 2.6.x

* Mon May 10 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.10-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 2.4_17_posix-locks-oops.patch
  - 2.4_18_refile_inode-locked.patch
- Added:
  + 2.4_17_proc-put_files_struct.patch: fix potential memory access to free
    memory in /proc handling
  + 2.4_18_dquot-sync-too-slow.patch: fix O(N^2) dquot sync behaviour
  + 2.4_19_ext2-mount-sb-fix.patch: ext2 sb= mount option fix
  + 2.4_20_devpts-error-leak.patch: fix memory leak in devpts on error path

* Sat Apr 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.03-alt1
- Added:
  + 2.4_18_refile_inode-locked.patch: avoid refile_inode() from putting locked
    inodes on the dirty list (http://bugme.osdl.org/show_bug.cgi?id=2367)

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 2.4_17_posix-locks-oops.patch: fix oops in locks_remove_posix()

* Sat Mar 06 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.06-alt1
- Modified:
  - 2.4_02_iocharset-ign.patch: fixed reiserfs part to make it really work

* Sun Feb 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.29-alt1
- Added:
  + 2.4_16_alt-ramfs-blocks.patch: fix st_blocks==0 on ramfs (#3612)

* Thu Feb 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.26-alt1
- Modified:
  - 2.4_02_iocharset-ign.patch: move reiserfs modifications to avoid conflict
    with reiserfs quota patches

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Removed obsolete patches (merged upstream):
  - 2.4_04_block_read_full_page.patch
  - 2.4_05_inodes_stat-locking.patch
  - 2.4_06_kupdated-sigstop-fix.patch
  - 2.4_07_do_proc_readlink-leak.patch
  - 2.4_08_quota_v1-overflow.patch
  - 2.4_09_exec_mmap-race.patch
  - 2.4_10_nfs-async-deadlock.patch
  - 2.4_11_lockd-deadlock.patch
  - 2.4_12_minix-corruption.patch
  - 2.4_13_dquot-stats.patch
  - 2.4_16_remove-flock-accounting.patch
  - 2.4_17_end_buffer_io_kiobuf-locking.patch
  - 2.4_18_fsync-race.patch
  - 2.4_19_dcache-seekdir-oops.patch
  - 2.4_20_ext3-quota-deadlock.patch
  - 2.4_21_tmpfs-readdir-atime.patch
  - 2.4_22_hfs-oops.patch
  - 2.4_23_mount-options-overrun.patch

* Tue Feb 10 2004 Anton Farygin <rider@altlinux.ru> 2004.02.01-alt2
- Added:
    + 2.6_50_ext3_fs_priority.patch: move up ext3 in filesystem list
    for correct mount ext3 fs, if ext2 compiled into kernel image

* Sun Feb 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.01-alt1
- Added:
  + 23_mount-options-overrun.patch: Avoid buffer overrun in mount options
    parsing.

* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt1
- Added:
  + 19_dcache-seekdir-oops.patch: Fix tmpfs seekdir oops.
  + 20_ext3-quota-deadlock.patch: Fix ext3 quota deadlock.
  + 21_tmpfs-readdir-atime.patch: Make tmpfs readdir update atime.
  + 22_hfs-oops.patch: Fix hfs oops with non-512 byte sectors (CD-ROM).
- Removed:
  + 14_inode-hash-race-fix.patch (can cause deadlock on SMP).

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 16_remove-flock-accounting.patch: Remove broken file lock
    accounting.
  + 17_end_buffer_io_kiobuf-locking.patch: Fix end_buffer_io_kiobuf()
    locking.
  + 18_fsync-race.patch: Fix potential fsync() race condition.

* Fri Nov 21 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.21-alt1
- Added:
  + 15_alt-iso9660-options.patch: Fix iso9660 mount options handling (all
    options after iocharset/map/session were silently ignored).

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Added:
  + 13_dquot-stats.patch: Fix quota stats accounting bug.
  + 14_inode-hash-race-fix.patch: Fix races between deleting inode (through
    iput() or prune_icache()) and getting the same inode through iget().

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 05_inodes_stat-locking.patch
  + 06_kupdated-sigstop-fix.patch
  + 07_do_proc_readlink-leak.patch
  + 08_quota_v1-overflow.patch
  + 09_exec_mmap-race.patch
  + 10_nfs-async-deadlock.patch
  + 11_lockd-deadlock.patch
  + 12_minix-corruption.patch

* Sun Oct 26 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.26-alt1
- Renamed patch files (added numeric prefixes to enforce apply ordering).
- Added 04_block_read_full_page.patch - Handle get_block errors correctly in
  block_read_full_page().

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added quota-license.patch: add MODULE_LICENSE("GPL") to quota_v2.

* Tue Jul 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.15-alt1
- added patch that puts ext3 before ext2 filesystem list, so that ext3 probed
  first.

* Tue Jul 08 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.08-alt1
- initial release.

